## liwc 1.0

=== Makefile ===
CC=gcc
CFLAGS=-Wall -ansi -pedantic -O2  -D_POSIX_C_SOURCE=2
LDFLAGS=
LIBS=-lpub

bindir=/usr/local/bin
man1dir=/usr/local/man/man1

bins=ccmtcnvt entrigraph untrigraph rmccmt
scripts=chktri

all: $(bins)

install: all
	install $(bins) $(scripts) $(bindir)
	install -m 0644 *.1 $(man1dir)

ccmtcnvt: ccmtcnvt.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $< $(LIBS)
rmccmt: rmccmt.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $< $(LIBS)
entrigraph: entrigraph.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $< $(LIBS)
untrigraph: untrigraph.c
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $< $(LIBS)

clean:
	rm -f core *.o $(bins)

## liwc 1.4

=== debian/changelog ===
liwc (1.4) unstable; urgency=low

  * Removed use of debstd.
  * Manual pages are installed as compressed.
  * Added manual page for chktri.
  * Updated to conform to Debian Policy Manual 2.4.0.0.

 -- Lars Wirzenius <liw@iki.fi>  Fri, 13 Mar 1998 15:32:08 +0200

liwc (1.3) unstable; urgency=low

  * Added "#include <errno.h>" (always a bug, but happened to work with
    Linux libc5).
  * Fixed shared library dependencies.
  * Removed etc from .deb.
  * Removed Debian version from version number.
  * Recompiled to use libc6.

 -- Lars Wirzenius <liw@iki.fi>  Tue, 11 Nov 1997 03:28:31 +0200

liwc (1.2-1) unstable; urgency=low

  * Moved debian/* into upstream release.
  * Modified debian/rules to use debstd.

 -- Lars Wirzenius <liw@iki.fi>  Fri, 1 Nov 1996 15:15:19 +0200

liwc (1.1-1) unstable; urgency=low

  * New upstream release: adds cstr program to print out string literals.

 -- Lars Wirzenius <liw@iki.fi>  Tue, 24 Sep 1996 14:54:37 +0300

liwc (1.0-1) unstable; urgency=low

  * First release.

 -- Lars Wirzenius <liw@iki.fi>  Mon, 16 Sep 1996 21:38:31 +0300

=== debian/control ===
Source: liwc
Maintainer: Lars Wirzenius <liw@iki.fi>
Section: devel
Priority: optional
Standards-Version: 2.4.0.0

Package: liwc
Architecture: any
Depends: ${shlibs:Depends}
Description: Tools for manipulating C source code
 Includes programs for converting C++ comments to C comments,
 removing C comments, print out string literals, and converting 
 characters to trigraphs and trigraphs to characters.

=== debian/rules ===
#!/usr/bin/make -f

package=liwc

build:
	$(MAKE) CFLAGS=-O2 LDFLAGS=-s
	touch build

binary: binary-arch binary-indep

binary-arch: checkroot build
	rm -rf debian/tmp
	install -d debian/tmp/DEBIAN
	install -d debian/tmp/usr/bin
	install -d debian/tmp/usr/man/man1
	install -d debian/tmp/usr/doc/$(package)
	$(MAKE) bindir=debian/tmp/usr/bin man1dir=debian/tmp/usr/man/man1 \
		install
	cp debian/copyright debian/tmp/usr/doc/$(package)/.
	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
	cp README debian/tmp/usr/doc/$(package)/README
	gzip -9 debian/tmp/usr/doc/$(package)/*
	gunzip debian/tmp/usr/doc/$(package)/copyright.gz
	gzip -9 debian/tmp/usr/man/man*/*
	dpkg-shlibdeps ccmtcnvt rmccmt entrigraph untrigraph
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..

binary-indep:

clean:
	$(MAKE) clean
	rm -rf debian/tmp build

checkroot:
	test root = "`whoami`"

## liwc 1.5

=== debian/changelog ===
liwc (1.5) unstable; urgency=low

  * Changed name of changelog in /usr/doc.
  * debian/rules clean now removes debian/files and debian/substvars.

 -- Lars Wirzenius <liw@iki.fi>  Tue,  9 Feb 1999 21:02:40 +0200

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	$(MAKE) bindir=debian/tmp/usr/bin man1dir=debian/tmp/usr/man/man1 \
 		install
 	cp debian/copyright debian/tmp/usr/doc/$(package)/.
-	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
+	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog
 	cp README debian/tmp/usr/doc/$(package)/README
 	gzip -9 debian/tmp/usr/doc/$(package)/*
 	gunzip debian/tmp/usr/doc/$(package)/copyright.gz
@@ -32,7 +32,7 @@
 
 clean:
 	$(MAKE) clean
-	rm -rf debian/tmp build
+	rm -rf debian/tmp debian/files debian/substvars build
 
 checkroot:
 	test root = "`whoami`"

## liwc 1.20

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 bindir=/usr/local/bin
 man1dir=/usr/local/man/man1
 
-bins=ccmtcnvt entrigraph untrigraph rmccmt
+bins=ccmtcnvt entrigraph untrigraph rmccmt cstr
 scripts=chktri
 
 all: $(bins)
@@ -15,6 +15,8 @@
 	install $(bins) $(scripts) $(bindir)
 	install -m 0644 *.1 $(man1dir)
 
+cstr: cstr.c
+	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $< $(LIBS)
 ccmtcnvt: ccmtcnvt.c
 	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $< $(LIBS)
 rmccmt: rmccmt.c

## liwc 1.21

=== Makefile ===
#    Part of liwc, a collection of tools for manipulating C source code
#    Copyright (c) 2012 Antti-Juhani Kaijanaho
#    Copyright (c) 1994-2003 Lars Wirzenius
#
#    This program is free software; you can redistribute it and/or
#    modify it under the terms of the GNU General Public License,
#    version 2, as published by the Free Software Foundation.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License along
#    with this program; if not, write to the Free Software Foundation, Inc.,
#    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
CC=gcc
CPPFLAGS= -D_POSIX_C_SOURCE=2
CFLAGS=-Wall -ansi -pedantic -O2
LDFLAGS=
LIBS=-lpub

bindir=/usr/local/bin
man1dir=/usr/local/man/man1

bins=ccmtcnvt entrigraph untrigraph rmccmt cstr
scripts=chktri

all: $(bins)

install: all
	install -d $(DESTDIR)$(bindir)
	install -d $(DESTDIR)$(man1dir)
	install $(bins) $(scripts) $(DESTDIR)$(bindir)
	install -m 0644 *.1 $(DESTDIR)$(man1dir)

cstr: cstr.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $< $(LIBS)
ccmtcnvt: ccmtcnvt.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $< $(LIBS)
rmccmt: rmccmt.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $< $(LIBS)
entrigraph: entrigraph.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $< $(LIBS)
untrigraph: untrigraph.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $< $(LIBS)

clean:
	rm -f core *.o $(bins)

=== debian/changelog ===
liwc (1.21-2) unstable; urgency=medium

  * QA upload.
  * Set Debian QA as maintainer. (see #768832)
  * Using new DH level format. Consequently:
     - debian/compat: removed.
     - debian/control: changed from 'debhelper' to 'debhelper-compat' in
       Build-Depends fields and bumped level to 12.
  * debian/control:
     - Added Homepage field.
     - Bumped Standards-Version to 4.4.0.
     - Updated VCS fields to use Salsa.
  * debian/copyright:
     - Updated Format field to use https.
     - Updated Source field.
  * debian/rules: enabled all hardening compilation flags.
  * debian/tests/*: created to provide simple CI test.

 -- Joao Seckler <jseckler@riseup.net>  Sat, 20 Jul 2019 18:52:00 -0300

liwc (1.21-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Add Vcs-* fields.
  * Delete all patches (adopted upstream):
     - 0001-Makefile-Support-DESTDIR.patch
     - 0002-Makefile-install-install-target-directories.patch
     - 0003-Makefile-Handle-CPPFLAGS-as-well.patch
     - 0004-chktri-Fix-the-trigraph.patch
  * debian/copyright: Update, and convert to copyright-format/1.0.

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Tue, 19 Jun 2012 22:59:08 +0300

liwc (1.20-6) unstable; urgency=low

  * [148d6aa] Convert to source format 3.0 (quilt)
  * [398d6a8] Convert debian/rules to dh (Closes: #437481)
  * [f553140] Add patch 0001-Makefile-Support-DESTDIR
  * [ee9477e] Add patch 0002-Makefile-install-install-target-directories
  * [070d853] Add patch 0003-Makefile-Handle-CPPFLAGS-as-well
  * [30de804] debian/control: Add misc:Depends
  * [35436c6] Update Standards-Version to 3.9.3 (no other changes needed).
  * [5b9c2b8] Add patch 0004-chktri-Fix-the-trigraph.
    Thanks to Santiago Urueña (LP: #321107)

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Sat, 16 Jun 2012 19:59:37 +0300

liwc (1.20-5) unstable; urgency=low

  * New maintainer.
    Closes: #390745 (ITA: liwc -- Tools for manipulating C source code)
  * debian/rules (clean): Remove backup files in debian/ .

 -- Antti-Juhani Kaijanaho <ajk@debian.org>  Fri, 13 Oct 2006 20:15:12 +0300

liwc (1.20-4) unstable; urgency=low

  * Orphaning.

 -- Lars Wirzenius <liw@iki.fi>  Mon,  2 Oct 2006 23:11:54 +0300

liwc (1.20-3) unstable; urgency=low

  * debian/rules: Use "-O2 -g" for CFLAGS and "-g" for LDFLAGS, and use
    "root:root" (instead of "root.root") for chmod. Thanks, "timeless".
    (Closes: #374414)
  * debian/control: Upped the Standards-Version. No other changes required.

 -- Lars Wirzenius <liw@iki.fi>  Thu,  3 Aug 2006 13:47:45 +0300

liwc (1.20-2) unstable; urgency=low

  * Blech. Forgot to remove debhelper from Build-Depends.
  * Also, 1.20-1 added the liwc manual page. closes:#179972
  * Also, messed up the changelog in the previous upload (removed the
    complete entry for 1.9-1). I'm an imbecile.

 -- Lars Wirzenius <liw@iki.fi>  Thu, 06 Feb 2003 13:39:34 +0200

liwc (1.20-1) unstable; urgency=low

  * New upstream version adds liwc(1) manual page.
  * Converted from using debhelper to native dpkg stuff.

 -- Lars Wirzenius <liw@iki.fi>  Thu, 06 Feb 2003 12:59:34 +0200

liwc (1.9-1) unstable; urgency=low

  * Adopting the package again, with permission from previous maintainer.
  * New upstream version adds -c (remove code, not comments) to rmccmt.

 -- Lars Wirzenius <liw@iki.fi>  Sun, 19 Jan 2003 12:17:34 +0200

liwc (1.7-1.1) unstable; urgency=low

  * NMU
  * Add build-depends: publib-dev.  Closes: #112635

 -- LaMont Jones <lamont@debian.org>  Thu, 11 Oct 2001 16:15:28 -0600

liwc (1.7-1) unstable; urgency=low

  * debian/{control,copyright}: New maintainer.
  * Converted to non-native packaging (upstream is no longer Debian
    maintainer).
  * debian/copyright: Refer to GPL-2 and if that fails, to GPL.
  * debian/control [Build-Depends]: The current debian/rules is dependent on debhelper.
  * debian/control [Standards-Version]: Upgrade to 3.5.6

 -- Antti-Juhani Kaijanaho <gaia@iki.fi>  Mon, 17 Sep 2001 19:05:16 +0300

liwc (1.7) unstable; urgency=low

  * debian/rules: Converted to debhelper. Joey Hess scores again.
  * Using /usr/share/doc instead of /usr/doc.
  * Updated to policy 3.1.1.1.
  * debian/copyright advertises /usr/share/common-licenses/GPL, not
    /usr/doc/copyright/GPL.
  * Other fixes based on warnings from lintian.

 -- Lars Wirzenius <liw@iki.fi>  Wed,  3 May 2000 09:30:48 +0300

liwc (1.6) unstable; urgency=low

  * cnvtccmt documentation changed so it doesn't claim C++ comments are
    not acceptable in C. They are now. (closes: Bug#62340).
  * rmccmt now handle C++ style comments as well. (closes: Bug#62341).

 -- Lars Wirzenius <liw@iki.fi>  Sat, 29 Apr 2000 15:39:24 +0300

=== debian/control ===
Source: liwc
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: devel
Priority: optional
Standards-Version: 4.4.0
Build-Depends: publib-dev, debhelper-compat (= 12)
Vcs-Browser: https://salsa.debian.org/jseckler-guest/liwc
Vcs-Git: https://salsa.debian.org/jseckler-guest/liwc.git
Homepage: https://code.google.com/archive/p/liwc/

Package: liwc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tools for manipulating C source code
 Includes programs for converting C++ comments to C comments,
 removing C comments, print out string literals, and converting
 characters to trigraphs and trigraphs to characters.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

export DEB_BUILD_MAINT_OPTIONS	= hardening=+all

override_dh_auto_build:
	dh_auto_build -- \
		CPPFLAGS="$(shell dpkg-buildflags --get CPPFLAGS)" \
		CFLAGS="$(shell dpkg-buildflags --get CFLAGS)" \
		LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"

override_dh_auto_install:
	dh_auto_install -- \
		bindir=/usr/bin \
		man1dir=/usr/share/man/man1

=== debian/tests/control ===
Test-Command: ccmtcnvt debian/tests/comments.txt | grep -v '//'

Test-Command: chktri debian/tests/comments.txt | grep '??/'

Test-Command: cstr debian/tests/comments.txt | grep 'A string literal'

Test-Command: entrigraph debian/tests/comments.txt | grep -v '\\'

Test-Command: entrigraph debian/tests/comments.txt | grep -v '\\'

Test-Command: rmccmt debian/tests/comments.txt | grep -v '/\*'

Test-Command: untrigraph debian/tests/comments.txt | grep -v '??/'
